org.apache.maven.scm.provider.hg.command.changelog

## Class HgChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.hg.command.changelog.HgChangeLogCommand

- All Implemented Interfaces:
    ChangeLogCommand, Command

      public class HgChangeLogCommand
      extends AbstractChangeLogCommand
      implements Command

  Version:
    $Id: HgChangeLogCommand.java 686566 2008-08-16 21:52:46Z olamy $
  Author:
    thurner rupert

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HgChangeLogCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`

    - ### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

      `executeChangeLogCommand, executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### HgChangeLogCommand

          public HgChangeLogCommand()

  - ### Method Detail

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository scmProviderRepository,
                                                   ScmFileSet fileSet,
                                                   Date startDate,
                                                   Date endDate,
                                                   ScmBranch branch,
                                                   String datePattern)
                                                        throws ScmException

      Specified by:
        `executeChangeLogCommand` in class `AbstractChangeLogCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.